<?php

namespace AppBundle\Repository;

/**
 * EspaceRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class EvenementRepository extends \Doctrine\ORM\EntityRepository
{
    public function findConfirme($confirme){
        return   $this->getEntityManager()->getRepository("AppBundle:Evenement")->createQueryBuilder('e')
            ->where("e.confirme LIKE :confirme")
            ->setParameter('confirme', '%'.$confirme.'%')
            ->getQuery()
            ->getResult();
    }

    public function findByOrganisateur($user){
        return   $this->getEntityManager()->getRepository("AppBundle:Evenement")->createQueryBuilder('e')
            ->where("IDENTITY(e.user) LIKE :user")
            ->setParameter('user', '%'.$user.'%')
            ->getQuery()
            ->getResult();
    }

    public function findByMotCle($mot){
        return $this->getEntityManager()->getRepository("AppBundle:Evenement")->createQueryBuilder('e')
            ->where("e.nom LIKE :mot or e.prix LIKE :mot or e.description LIKE :mot or e.date LIKE :mot")
            ->setParameter('mot', '%'.$mot.'%')
            ->getQuery()
            ->getResult();
    }
}
